xml: Bank.xml, xsl: makeInterface.xsl

package	BankingSystem;





/**
 * Title:        Node 2 Node IPC
 * Description:  Simple IPC via interfaces application using IDL based interfaces
 * Copyright:    Copyright (c) 2000
 * Company:      TROy Software Products
 * @author Selvyn Wright
 * @version 1.0
 */

import   node2node_ipc.messages.*;
import   node2node_ipc.*;


public   abstract class  Bank
{
	protected  TBankSkeleton   itsSkeleton = null;
	protected  TSocketMessageBase itsPortal = null;

	public	abstract	Account	getAccount( String accNo
										
											 ) throws node2node_ipc.TSystemException;

	public	abstract	void	closeAccount( String accId
										
											 ) throws node2node_ipc.TSystemException;

	public	abstract	int	createAccount( String accName
										
											 ) throws node2node_ipc.TSystemException;

	public	abstract	Account[]	getAccounts( int start, int end
										
											 ) throws node2node_ipc.TSystemException;

	public	abstract	void	addAccount( Account acc
										
											 ) throws node2node_ipc.TSystemException;

	public	abstract	void	addAccountWithCustomer( Account acc, Customer newCustomer
										
											 ) throws node2node_ipc.TSystemException;


   static   public   Bank  bind() throws node2node_ipc.TObjectInstanceNotFound
   {
      TObjectBroker  objBroker = TObjectBroker.getBroker();

      TSocketMessageBase obj = objBroker.getObject( "Bank" );

      return new TBankStub( obj );
   }

   public   TEventListenerAdaptor   listener()
   {
      return   itsSkeleton;
   }

   public   TSocketMessageBase portal()
   {
      return   itsPortal;
   }

   public   void  close()
   {
      itsPortal.close();
   }
}
